package cz.vutbr.fit;

import java.io.Serializable;
import java.util.LinkedHashMap;
import java.util.Map;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.event.ValueChangeEvent;

@ManagedBean(name = "userData", eager = true)
@SessionScoped
public class UserData implements Serializable {

  private static final long serialVersionUID = 1L;
  private static final Map<String, String> countryMap;
  private String selectedCountry = "United Kingdom"; // default value
  private String secondCountry = "United Kingdom"; // default value

  static {
    countryMap = new LinkedHashMap<>();
    countryMap.put("en", "United Kingdom"); // locale, country name
    countryMap.put("cs", "Czech Republic");
    countryMap.put("fr", "France");
    countryMap.put("de", "Germany");
  }

  public void localeChanged(ValueChangeEvent e) {
    //assign new value to country
    selectedCountry = e.getNewValue().toString();
  }

  public Map<String, String> getCountries() {
    return countryMap;
  }

  public String getSelectedCountry() {
    return selectedCountry;
  }

  public void setSelectedCountry(String selectedCountry) {
    this.selectedCountry = selectedCountry;
  }
  
  public String getSecondCountry() {
    return secondCountry;
  }

  public void setSecondCountry(String selectedCountry) {
    this.secondCountry = selectedCountry;
  }
}
