/*
 * Adapted from http://www.tutorialspoint.com/jsf/jsf_page_navigation.htm
 */

package cz.vutbr.fit;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;

@ManagedBean(name = "navigationController", eager = true)
@RequestScoped
public class NavigationController {

  private static final long serialVersionUID = 1L;
  @ManagedProperty(value = "#{param.pageId}")
  private String pageId;

  public String moveToPage1() {
    return "page1";
  }

  public String moveToPage2() {
    return "page2";
  }

  public String moveToHomePage() {
    return "home";
  }

  public String showPage() {
    if (pageId == null) {
      return "home";
    }
    switch (pageId) {
      case "1":
        return "page1";
      case "2":
        return "page2";
      default:
        return "home";
    }
  }

  public String getPageId() {
    return pageId;
  }

  public void setPageId(String pageId) {
    this.pageId = pageId;
  }
  
  public String processPage1() {
    return "page";
  }

  public String processPage2() {
    return "page";
  }
}
